Package com.independentsoft.office.word

# Class CompatibilitySettings

java.lang.Object
com.independentsoft.office.word.CompatibilitySettings

public class CompatibilitySettings extends Object
The Class CompatibilitySettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompatibilitySettings()`
  Instantiates a new compatibility settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompatibilitySettings`
  `clone()`
  `boolean`
  `doNotExpandShiftReturn()`
  Do not expand shift return.
  `boolean`
  `doNotLeaveBackslashAlone()`
  Do not leave backslash alone.
  `List<CompatibilityEntry>`
  `getEntries()`
  Gets the entries.
  `List<RawXmlElement>`
  `getPreservedEntries()`
  Gets the compatibility option elements preserved verbatim (those not modelled by dedicated fields, e.g.
  `boolean`
  `isAdjustLineHeightInTable()`
  Checks if is adjust line height in table.
  `boolean`
  `isApplyBreakingRules()`
  Checks if is apply breaking rules.
  `boolean`
  `isBalanceSingleByteDoubleByteWidth()`
  Checks if is balance single byte double byte width.
  `boolean`
  `isSpaceForUL()`
  Checks if is space for ul.
  `boolean`
  `isUlTrailSpace()`
  Checks if is ul trail space.
  `void`
  `setAdjustLineHeightInTable​(boolean adjustLineHeightInTable)`
  Sets the adjust line height in table.
  `void`
  `setApplyBreakingRules​(boolean applyBreakingRules)`
  Sets the apply breaking rules.
  `void`
  `setBalanceSingleByteDoubleByteWidth​(boolean balanceSingleByteDoubleByteWidth)`
  Sets the balance single byte double byte width.
  `void`
  `setDoNotExpandShiftReturn​(boolean doNotExpandShiftReturn)`
  Sets the do not expand shift return.
  `void`
  `setDoNotLeaveBackslashAlone​(boolean doNotLeaveBackslashAlone)`
  Sets the do not leave backslash alone.
  `void`
  `setPreservedEntries​(List<RawXmlElement> preservedEntries)`
  Sets the compatibility option elements preserved verbatim.
  `void`
  `setSpaceForUL​(boolean spaceForUL)`
  Sets the space for ul.
  `void`
  `setUlTrailSpace​(boolean ulTrailSpace)`
  Sets the ul trail space.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompatibilitySettings

    public CompatibilitySettings()
    Instantiates a new compatibility settings.

- ## Method Details

  - ### clone

    public CompatibilitySettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isSpaceForUL

    public boolean isSpaceForUL()
    Checks if is space for ul.
    Returns:
      true, if is space for ul

  - ### setSpaceForUL

    public void setSpaceForUL​(boolean spaceForUL)
    Sets the space for ul.
    Parameters:
      `spaceForUL` - the new space for ul

  - ### isBalanceSingleByteDoubleByteWidth

    public boolean isBalanceSingleByteDoubleByteWidth()
    Checks if is balance single byte double byte width.
    Returns:
      true, if is balance single byte double byte width

  - ### setBalanceSingleByteDoubleByteWidth

    public void setBalanceSingleByteDoubleByteWidth​(boolean balanceSingleByteDoubleByteWidth)
    Sets the balance single byte double byte width.
    Parameters:
      `balanceSingleByteDoubleByteWidth` - the new balance single byte double byte width

  - ### doNotLeaveBackslashAlone

    public boolean doNotLeaveBackslashAlone()
    Do not leave backslash alone.
    Returns:
      true, if successful

  - ### setDoNotLeaveBackslashAlone

    public void setDoNotLeaveBackslashAlone​(boolean doNotLeaveBackslashAlone)
    Sets the do not leave backslash alone.
    Parameters:
      `doNotLeaveBackslashAlone` - the new do not leave backslash alone

  - ### isUlTrailSpace

    public boolean isUlTrailSpace()
    Checks if is ul trail space.
    Returns:
      true, if is ul trail space

  - ### setUlTrailSpace

    public void setUlTrailSpace​(boolean ulTrailSpace)
    Sets the ul trail space.
    Parameters:
      `ulTrailSpace` - the new ul trail space

  - ### doNotExpandShiftReturn

    public boolean doNotExpandShiftReturn()
    Do not expand shift return.
    Returns:
      true, if successful

  - ### setDoNotExpandShiftReturn

    public void setDoNotExpandShiftReturn​(boolean doNotExpandShiftReturn)
    Sets the do not expand shift return.
    Parameters:
      `doNotExpandShiftReturn` - the new do not expand shift return

  - ### isAdjustLineHeightInTable

    public boolean isAdjustLineHeightInTable()
    Checks if is adjust line height in table.
    Returns:
      true, if is adjust line height in table

  - ### setAdjustLineHeightInTable

    public void setAdjustLineHeightInTable​(boolean adjustLineHeightInTable)
    Sets the adjust line height in table.
    Parameters:
      `adjustLineHeightInTable` - the new adjust line height in table

  - ### isApplyBreakingRules

    public boolean isApplyBreakingRules()
    Checks if is apply breaking rules.
    Returns:
      true, if is apply breaking rules

  - ### setApplyBreakingRules

    public void setApplyBreakingRules​(boolean applyBreakingRules)
    Sets the apply breaking rules.
    Parameters:
      `applyBreakingRules` - the new apply breaking rules

  - ### getEntries

    public List<CompatibilityEntry> getEntries()
    Gets the entries.
    Returns:
      the entries

  - ### getPreservedEntries

    public List<RawXmlElement> getPreservedEntries()
    Gets the compatibility option elements preserved verbatim (those not modelled by dedicated fields, e.g. useFELayout, growAutofit).
    Returns:
      the preserved compatibility entries

  - ### setPreservedEntries

    public void setPreservedEntries​(List<RawXmlElement> preservedEntries)
    Sets the compatibility option elements preserved verbatim.
    Parameters:
      `preservedEntries` - the new preserved compatibility entries